Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class StringValueHelper

    java.lang.Object
      |
      +--org.omg.CORBA.StringValueHelper

All Implemented Interfaces:
  BoxedValueHelper

public class StringValueHelper
extends Object
implements BoxedValueHelper

The Helper for `StringValue`. For more information on Helper files, see "Generated Files: Helper Files".

org/omg/CORBA/StringValueHelper.java Generated by the IDL-to-Java compiler (portable), version "3.0" from orb.idl 31 May 1999 22:27:30 o'clock GMT+00:00 The class definition has been modified to conform to the following OMG specifications :

- ORB core as defined by CORBA 2.3.1 (formal/99-10-07)
- IDL/Java Language Mapping as defined in ptc/00-01-08

Constructor Summary
`StringValueHelper()`

Method Summary
`static String` | `extract(Any a)`
`String` | `get_id()`
`static String` | `id()`
`static void` | `insert(Any a, String that)`
`Serializable` | `read_value(InputStream istream)`
`static String` | `read(InputStream istream)`
`static TypeCode` | `type()`
`void` | `write_value(OutputStream ostream, Serializable value)`
`static void` | `write(OutputStream ostream, String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StringValueHelper

    public StringValueHelper()

Method Detail

### insert

    public static void insert(Any a,
                              String that)

### extract

    public static String extract(Any a)

### type

    public static TypeCode type()

### id

    public static String id()

### read

    public static String read(InputStream istream)

### read_value

    public Serializable read_value(InputStream istream)

  Specified by:
    `read_value` in interface `BoxedValueHelper`

### write

    public static void write(OutputStream ostream,
                             String value)

### write_value

    public void write_value(OutputStream ostream,
                            Serializable value)

  Specified by:
    `write_value` in interface `BoxedValueHelper`

### get_id

    public String get_id()

  Specified by:
    `get_id` in interface `BoxedValueHelper`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.